Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway;
8
9 use eZ\Publish\Core\Base\Exceptions\DatabaseException;
10 use eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway;
11 use eZ\Publish\SPI\Persistence\Content\Location\UpdateStruct;
12 use eZ\Publish\SPI\Persistence\Content\Location\CreateStruct;
13 use Doctrine\DBAL\DBALException;
14 use PDOException;
15
19 class ExceptionConversion extends Gateway
20 {
26 protected $innerGateway;
27
33 public function __construct(Gateway $innerGateway)
34 {
35 $this->innerGateway = $innerGateway;
36 }
37
38 public function getBasicNodeData($nodeId, array $translations = null, bool $useAlwaysAvailable = true)
39 {
40 try {
41 return $this->innerGateway->getBasicNodeData($nodeId, $translations, $useAlwaysAvailable);
42 } catch (DBALException | PDOException $e) {
43 throw DatabaseException::wrap($e);
44 }
45 }
46
47 public function getNodeDataList(array $locationIds, array $translations = null, bool $useAlwaysAvailable = true): iterable
48 {
49 try {
50 return $this->innerGateway->getNodeDataList($locationIds, $translations, $useAlwaysAvailable);
51 } catch (DBALException | PDOException $e) {
52 throw DatabaseException::wrap($e);
53 }
54 }
55
56 public function getBasicNodeDataByRemoteId($remoteId, array $translations = null, bool $useAlwaysAvailable = true)
57 {
58 try {
59 return $this->innerGateway->getBasicNodeDataByRemoteId($remoteId, $translations, $useAlwaysAvailable);
60 } catch (DBALException | PDOException $e) {
61 throw DatabaseException::wrap($e);
62 }
63 }
64
65 public function loadLocationDataByContent($contentId, $rootLocationId = null)
66 {
67 try {
68 return $this->innerGateway->loadLocationDataByContent($contentId, $rootLocationId);
69 } catch (DBALException | PDOException $e) {
70 throw DatabaseException::wrap($e);
71 }
72 }
73
74 public function loadLocationDataByTrashContent(int $contentId, ?int $rootLocationId = null): array
75 {
76 try {
77 return $this->innerGateway->loadLocationDataByTrashContent($contentId, $rootLocationId);
78 } catch (DBALException | PDOException $e) {
79 throw DatabaseException::wrap($e);
80 }
81 }
82
83 public function loadParentLocationsDataForDraftContent($contentId)
84 {
85 try {
86 return $this->innerGateway->loadParentLocationsDataForDraftContent($contentId);
87 } catch (DBALException | PDOException $e) {
88 throw DatabaseException::wrap($e);
89 }
90 }
91
92 public function getSubtreeContent($sourceId, $onlyIds = false)
93 {
94 try {
95 return $this->innerGateway->getSubtreeContent($sourceId, $onlyIds);
96 } catch (DBALException | PDOException $e) {
97 throw DatabaseException::wrap($e);
98 }
99 }
100
101 public function getChildren($locationId)
102 {
103 try {
104 return $this->innerGateway->getChildren($locationId);
105 } catch (DBALException | PDOException $e) {
106 throw DatabaseException::wrap($e);
107 }
108 }
109
110 public function moveSubtreeNodes(array $fromPathString, array $toPathString)
111 {
112 try {
113 return $this->innerGateway->moveSubtreeNodes($fromPathString, $toPathString);
114 } catch (DBALException | PDOException $e) {
115 throw DatabaseException::wrap($e);
116 }
117 }
118
119 public function updateSubtreeModificationTime($pathString, $timestamp = null)
120 {
121 try {
122 return $this->innerGateway->updateSubtreeModificationTime($pathString, $timestamp);
123 } catch (DBALException | PDOException $e) {
124 throw DatabaseException::wrap($e);
125 }
126 }
127
128 public function updateNodeAssignment($contentObjectId, $oldParent, $newParent, $opcode)
129 {
130 try {
131 return $this->innerGateway->updateNodeAssignment($contentObjectId, $oldParent, $newParent, $opcode);
132 } catch (DBALException | PDOException $e) {
133 throw DatabaseException::wrap($e);
134 }
135 }
136
137 public function createLocationsFromNodeAssignments($contentId, $versionNo)
138 {
139 try {
140 return $this->innerGateway->createLocationsFromNodeAssignments($contentId, $versionNo);
141 } catch (DBALException | PDOException $e) {
142 throw DatabaseException::wrap($e);
143 }
144 }
145
146 public function updateLocationsContentVersionNo($contentId, $versionNo)
147 {
148 try {
149 return $this->innerGateway->updateLocationsContentVersionNo($contentId, $versionNo);
150 } catch (DBALException | PDOException $e) {
151 throw DatabaseException::wrap($e);
152 }
153 }
154
155 public function hideSubtree($pathString)
156 {
157 try {
158 return $this->innerGateway->hideSubtree($pathString);
159 } catch (DBALException | PDOException $e) {
160 throw DatabaseException::wrap($e);
161 }
162 }
163
164 public function unHideSubtree($pathString)
165 {
166 try {
167 return $this->innerGateway->unHideSubtree($pathString);
168 } catch (DBALException | PDOException $e) {
169 throw DatabaseException::wrap($e);
170 }
171 }
172
173 public function setNodeWithChildrenInvisible(string $pathString): void
174 {
175 try {
176 $this->innerGateway->setNodeWithChildrenInvisible($pathString);
177 } catch (DBALException | PDOException $e) {
178 throw DatabaseException::wrap($e);
179 }
180 }
181
182 public function setNodeHidden(string $pathString): void
183 {
184 try {
185 $this->innerGateway->setNodeHidden($pathString);
186 } catch (DBALException | PDOException $e) {
187 throw DatabaseException::wrap($e);
188 }
189 }
190
191 public function setNodeWithChildrenVisible(string $pathString): void
192 {
193 try {
194 $this->innerGateway->setNodeWithChildrenVisible($pathString);
195 } catch (DBALException | PDOException $e) {
196 throw DatabaseException::wrap($e);
197 }
198 }
199
200 public function setNodeUnhidden(string $pathString): void
201 {
202 try {
203 $this->innerGateway->setNodeUnhidden($pathString);
204 } catch (DBALException | PDOException $e) {
205 throw DatabaseException::wrap($e);
206 }
207 }
208
209 public function swap(int $locationId1, int $locationId2): bool
210 {
211 try {
212 return $this->innerGateway->swap($locationId1, $locationId2);
213 } catch (DBALException | PDOException $e) {
214 throw DatabaseException::wrap($e);
215 }
216 }
217
218 public function create(CreateStruct $createStruct, array $parentNode)
219 {
220 try {
221 return $this->innerGateway->create($createStruct, $parentNode);
222 } catch (DBALException | PDOException $e) {
223 throw DatabaseException::wrap($e);
224 }
225 }
226
227 public function createNodeAssignment(CreateStruct $createStruct, $parentNodeId, $type = self::NODE_ASSIGNMENT_OP_CODE_CREATE_NOP)
228 {
229 try {
230 return $this->innerGateway->createNodeAssignment($createStruct, $parentNodeId, $type);
231 } catch (DBALException | PDOException $e) {
232 throw DatabaseException::wrap($e);
233 }
234 }
235
236 public function deleteNodeAssignment($contentId, $versionNo = null)
237 {
238 try {
239 return $this->innerGateway->deleteNodeAssignment($contentId, $versionNo);
240 } catch (DBALException | PDOException $e) {
241 throw DatabaseException::wrap($e);
242 }
243 }
244
245 public function update(UpdateStruct $location, $locationId)
246 {
247 try {
248 return $this->innerGateway->update($location, $locationId);
249 } catch (DBALException | PDOException $e) {
250 throw DatabaseException::wrap($e);
251 }
252 }
253
254 public function updatePathIdentificationString($locationId, $parentLocationId, $text)
255 {
256 try {
257 return $this->innerGateway->updatePathIdentificationString($locationId, $parentLocationId, $text);
258 } catch (DBALException | PDOException $e) {
259 throw DatabaseException::wrap($e);
260 }
261 }
262
263 public function removeLocation($locationId)
264 {
265 try {
266 return $this->innerGateway->removeLocation($locationId);
267 } catch (DBALException | PDOException $e) {
268 throw DatabaseException::wrap($e);
269 }
270 }
271
272 public function getFallbackMainNodeData($contentId, $locationId)
273 {
274 try {
275 return $this->innerGateway->getFallbackMainNodeData($contentId, $locationId);
276 } catch (DBALException | PDOException $e) {
277 throw DatabaseException::wrap($e);
278 }
279 }
280
281 public function trashLocation($locationId)
282 {
283 try {
284 return $this->innerGateway->trashLocation($locationId);
285 } catch (DBALException | PDOException $e) {
286 throw DatabaseException::wrap($e);
287 }
288 }
289
290 public function untrashLocation($locationId, $newParentId = null)
291 {
292 try {
293 return $this->innerGateway->untrashLocation($locationId, $newParentId);
294 } catch (DBALException | PDOException $e) {
295 throw DatabaseException::wrap($e);
296 }
297 }
298
299 public function loadTrashByLocation($locationId)
300 {
301 try {
302 return $this->innerGateway->loadTrashByLocation($locationId);
303 } catch (DBALException | PDOException $e) {
304 throw DatabaseException::wrap($e);
305 }
306 }
307
308 public function cleanupTrash()
309 {
310 try {
311 return $this->innerGateway->cleanupTrash();
312 } catch (DBALException | PDOException $e) {
313 throw DatabaseException::wrap($e);
314 }
315 }
316
317 public function listTrashed($offset, $limit, array $sort = null)
318 {
319 try {
320 return $this->innerGateway->listTrashed($offset, $limit, $sort);
321 } catch (DBALException | PDOException $e) {
322 throw DatabaseException::wrap($e);
323 }
324 }
325
326 public function countTrashed(): int
327 {
328 try {
329 return $this->innerGateway->countTrashed();
330 } catch (DBALException | PDOException $e) {
331 throw DatabaseException::wrap($e);
332 }
333 }
334
335 public function removeElementFromTrash($id)
336 {
337 try {
338 return $this->innerGateway->removeElementFromTrash($id);
339 } catch (DBALException | PDOException $e) {
340 throw DatabaseException::wrap($e);
341 }
342 }
343
344 public function setSectionForSubtree($pathString, $sectionId)
345 {
346 try {
347 return $this->innerGateway->setSectionForSubtree($pathString, $sectionId);
348 } catch (DBALException | PDOException $e) {
349 throw DatabaseException::wrap($e);
350 }
351 }
352
353 public function countLocationsByContentId($contentId)
354 {
355 try {
356 return $this->innerGateway->countLocationsByContentId($contentId);
357 } catch (DBALException | PDOException $e) {
358 throw DatabaseException::wrap($e);
359 }
360 }
361
362 public function changeMainLocation($contentId, $locationId, $versionNo, $parentLocationId)
363 {
364 try {
365 return $this->innerGateway->changeMainLocation($contentId, $locationId, $versionNo, $parentLocationId);
366 } catch (DBALException | PDOException $e) {
367 throw DatabaseException::wrap($e);
368 }
369 }
370
371 public function countAllLocations()
372 {
373 try {
374 return $this->innerGateway->countAllLocations();
375 } catch (DBALException | PDOException $e) {
376 throw DatabaseException::wrap($e);
377 }
378 }
379
380 public function loadAllLocationsData($offset, $limit)
381 {
382 try {
383 return $this->innerGateway->loadAllLocationsData($offset, $limit);
384 } catch (DBALException | PDOException $e) {
385 throw DatabaseException::wrap($e);
386 }
387 }
388 }
eZ\Publish\Core\Base\Exceptions\DatabaseException
An exception that is thrown when the database encounters an error.
Definition: DatabaseException.php:18
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion
Base class for location gateways.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:20
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\getBasicNodeData
getBasicNodeData($nodeId, array $translations=null, bool $useAlwaysAvailable=true)
Returns an array with basic node data.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:38
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\loadTrashByLocation
loadTrashByLocation($locationId)
Loads trash data specified by location ID.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:299
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\createLocationsFromNodeAssignments
createLocationsFromNodeAssignments($contentId, $versionNo)
Create locations from node assignments.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:137
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\trashLocation
trashLocation($locationId)
Sends a single location identified by given $locationId to the trash.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:281
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\hideSubtree
hideSubtree($pathString)
Sets a location to be hidden, and it self + all children to invisible.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:155
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\listTrashed
listTrashed($offset, $limit, array $sort=null)
Lists trashed items.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:317
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\countLocationsByContentId
countLocationsByContentId($contentId)
Returns how many locations given content object identified by $contentId has.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:353
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\setNodeUnhidden
setNodeUnhidden(string $pathString)
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:200
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\setSectionForSubtree
setSectionForSubtree($pathString, $sectionId)
Set section on all content objects in the subtree.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:344
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\getFallbackMainNodeData
getFallbackMainNodeData($contentId, $locationId)
Returns id of the next in line node to be set as a new main node.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:272
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\update
update(UpdateStruct $location, $locationId)
Updates an existing location.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:245
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\cleanupTrash
cleanupTrash()
Removes every entries in the trash.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:308
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\setNodeWithChildrenVisible
setNodeWithChildrenVisible(string $pathString)
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:191
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\moveSubtreeNodes
moveSubtreeNodes(array $fromPathString, array $toPathString)
Update path strings to move nodes in the ezcontentobject_tree table.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:110
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\unHideSubtree
unHideSubtree($pathString)
Sets a location to be unhidden, and self + children to visible unless a parent is hiding the tree.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:164
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\__construct
__construct(Gateway $innerGateway)
Creates a new exception conversion gateway around $innerGateway.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:33
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\changeMainLocation
changeMainLocation($contentId, $locationId, $versionNo, $parentLocationId)
Changes main location of content identified by given $contentId to location identified by given $loca...
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:362
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\getNodeDataList
getNodeDataList(array $locationIds, array $translations=null, bool $useAlwaysAvailable=true)
Returns an array with node data for several locations.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:47
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\updateSubtreeModificationTime
updateSubtreeModificationTime($pathString, $timestamp=null)
Updated subtree modification time for all nodes on path.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:119
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\getBasicNodeDataByRemoteId
getBasicNodeDataByRemoteId($remoteId, array $translations=null, bool $useAlwaysAvailable=true)
Returns an array with basic node data for the node with $remoteId.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:56
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\loadLocationDataByTrashContent
loadLocationDataByTrashContent(int $contentId, ?int $rootLocationId=null)
Loads data for all Locations for $contentId in trash, optionally only in the subtree starting at $roo...
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:74
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\getChildren
getChildren($locationId)
Returns data for the first level children of the location identified by given $locationId.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:101
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\countTrashed
countTrashed()
Count trashed items.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:326
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\loadLocationDataByContent
loadLocationDataByContent($contentId, $rootLocationId=null)
Loads data for all Locations for $contentId, optionally only in the subtree starting at $rootLocation...
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:65
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\setNodeWithChildrenInvisible
setNodeWithChildrenInvisible(string $pathString)
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:173
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\removeElementFromTrash
removeElementFromTrash($id)
Removes trashed element identified by $id from trash.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:335
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\updatePathIdentificationString
updatePathIdentificationString($locationId, $parentLocationId, $text)
Updates path identification string for given $locationId.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:254
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\updateNodeAssignment
updateNodeAssignment($contentObjectId, $oldParent, $newParent, $opcode)
Update node assignment table.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:128
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\swap
swap(int $locationId1, int $locationId2)
Swaps the content object being pointed to by a location object.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:209
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\updateLocationsContentVersionNo
updateLocationsContentVersionNo($contentId, $versionNo)
Updates all Locations of content identified with $contentId with $versionNo.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:146
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\removeLocation
removeLocation($locationId)
Deletes ezcontentobject_tree row for given $locationId (node_id).
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:263
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\create
create(CreateStruct $createStruct, array $parentNode)
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:218
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\setNodeHidden
setNodeHidden(string $pathString)
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:182
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\countAllLocations
countAllLocations()
Get the total number of all Locations, except the Root node.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:371
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\loadAllLocationsData
loadAllLocationsData($offset, $limit)
Load data of every Location, except the Root node.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:380
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\createNodeAssignment
createNodeAssignment(CreateStruct $createStruct, $parentNodeId, $type=self::NODE_ASSIGNMENT_OP_CODE_CREATE_NOP)
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:227
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\loadParentLocationsDataForDraftContent
loadParentLocationsDataForDraftContent($contentId)
Loads data for all parent Locations for unpublished Content by given $contentId.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:83
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\untrashLocation
untrashLocation($locationId, $newParentId=null)
Returns a trashed location to normal state.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:290
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\getSubtreeContent
getSubtreeContent($sourceId, $onlyIds=false)
Find all content in the given subtree.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:92
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\deleteNodeAssignment
deleteNodeAssignment($contentId, $versionNo=null)
Deletes node assignment for given $contentId and $versionNo.
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:236
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\$innerGateway
$innerGateway
Definition: Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php:26
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway
Base class for location gateways.
Definition: Persistence/Legacy/Content/Location/Gateway.php:16
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct
Definition: SPI/Persistence/Content/Location/CreateStruct.php:12
eZ\Publish\SPI\Persistence\Content\Location\UpdateStruct
Definition: Content/Location/UpdateStruct.php:12
eZ\Publish\SPI\Persistence\Content\Location\$remoteId
$remoteId
Definition: SPI/Persistence/Content/Location.php:73
eZ\Publish\SPI\Persistence\Content\Location\$contentId
$contentId
Definition: SPI/Persistence/Content/Location.php:80
eZ\Publish\SPI\Persistence\Content\Location\$id
$id
Definition: SPI/Persistence/Content/Location.php:39
eZ\Publish\SPI\Persistence\Content\Location\$pathString
$pathString
Definition: SPI/Persistence/Content/Location.php:105
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway
Definition: Persistence/Legacy/Content/Location/Gateway/DoctrineDatabase.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.